/**
 * navigation drawe && list
 */

@media screen and (min-width: $breakpoint-md-min)
  #hamburger
    display: none


nav
  > .nav-list
    list-style: none
    padding: 0
    margin: 0


@media screen and (max-width: $breakpoint-sm-max)
 #navigationDrawer
    width: 250px
    height: 100%
    position: fixed
    z-index: 10
    top: 0
    left: 0
    transform: translate(-250px, 0)
    transition: transform 0.3s ease-in-out
    background-color: #fff
    box-shadow: $box-shadow

    &.open
     transform: translate(0,0)

    .drawer-header
      text-align: center
      & > img
        width: 50%

      & > .text
        font-size: 25px
        font-family: 'Carter One', cursive
        color: $primary-color


    .nav-list
      padding: 20px 5px

    .nav-item
      background-color: #eee
      border-radius: 5px
      margin-bottom: 5px
      &:hover, &:focus
        background-color: #ddd

      > a
       display: flex
       align-items: center
       line-height: 40px
       padding: 0 15px
       text-decoration: none
       color: #333

       & > i
        color: #999
        margin-right: 10px

@media screen and (min-width: $breakpoint-md-min)
  #navigationDrawer
    .drawer-header
      display: none

    .nav-item
      display: inline-block
      background-color: #eee
      border-radius: 5px
      margin-left: 5px

      &:hover, &:focus
        background-color: #ddd

      > a
       display: flex
       align-items: center
       line-height: 40px
       padding: 0 15px
       text-decoration: none
       color: #333

       & > i
        color: #999
        margin-right: 10px
